# PopupBase QML Type

The base class for all dialogs, sheets and popovers. Do not use directly. More...

Import Statement: | import Lomiri.Components.Popups 1.3
Inherits: | OrientationHelper
Inherited By: | Dialog, Popover, and SheetBase

- List of all members, including inherited members

## Properties

- dismissArea : Item
- grabDismissAreaEvents : bool

## Methods

- hide()
- hide()
- show()
- show()

## Detailed Description

Examples: See subclasses.

## Property Documentation

dismissArea : Item

The property holds the area used to dismiss the popups, the area from where mouse and touch events will be grabbed. By default this area is the Popup itself.

grabDismissAreaEvents : bool

The property specifies whether to forward or not the mouse and touch events happening outside of the popover. By default all events are grabbed.

## Method Documentation

hide()

Hide the popup. Only use this function if you handle memory management. Otherwise use PopupUtils.close() to do it automatically.

hide()

Hide the popup. Only use this function if you handle memory management. Otherwise use PopupUtils.close() to do it automatically.

show()

Make the popup visible. Reparent to the background area object first if needed. Only use this function if you handle memory management. Otherwise use PopupUtils.open() to do it automatically.

show()

Make the popup visible. Reparent to the background area object first if needed. Only use this function if you handle memory management. Otherwise use PopupUtils.open() to do it automatically.